# <!-- -*- coding: utf-8 -*- -->
# ## Overview
#
# NetworkX is a Python package for the creation, manipulation, and study
# of the structure, dynamics, and functions of complex networks.
#
# NetworkX provides
#
# * tools for the study of the structure and
#   dynamics of social, biological, and infrastructure networks;
#
# * a standard programming interface and graph implementation that is suitable
#   for many applications;
#
# * a rapid development environment for collaborative, multidisciplinary
#   projects;
#
# * an interface to existing numerical algorithms and code written in C,
#   C++, and FORTRAN; and
#
# * the ability to painlessly work with large nonstandard data sets.
#
# With NetworkX you can load and store networks in standard and nonstandard data
# formats, generate many types of random and classic networks, analyze network
# structure, build network models, design new network algorithms, draw networks,
# and much more.
#
# ### Audience
#
# The audience for NetworkX includes mathematicians, physicists, biologists,
# computer scientists, and social scientists. Good reviews of the science of
# complex networks are presented in Albert and Barabási [BA02], Newman
# [Newman03], and Dorogovtsev and Mendes [DM03]. See also the classic texts
# [Bollobas01], [Diestel97] and [West01] for graph theoretic results and
# terminology. For basic graph algorithms, we recommend the texts of Sedgewick
# (e.g., [Sedgewick01] and [Sedgewick02]) and the survey of Brandes and
# Erlebach [BE05].
#
# ### Python
#
# Python is a powerful programming language that allows simple and flexible
# representations of networks as well as clear and concise expressions of network
# algorithms.  Python has a vibrant and growing ecosystem of packages that
# NetworkX uses to provide more features such as numerical linear algebra and
# drawing.  In order to make the most out of NetworkX you will want to know how
# to write basic programs in Python.  Among the many guides to Python, we
# recommend the [Python documentation](http://www.python.org) and the text by
# Alex Martelli [Martelli03].
#
# ### Free software
#
# NetworkX is free software; you can redistribute it and/or modify it under the
# terms of the 3-clause BSD License.  We welcome contributions.
# Join us on [GitHub](https://github.com/networkx/networkx).
#
# ### History
#
# NetworkX was born in May 2002. The original version was designed and written by
# Aric Hagberg, Dan Schult, and Pieter Swart in 2002 and 2003.  The first public
# release was in April 2005.
# Many people have contributed to the success of NetworkX. Some of the
# contributors are listed in the credits.
#
# ### Documentation
#
# Release
#
# :   2.0rc1.dev_20170910155151
#
# Date
#
# :   Sep 10, 2017
#
# * Install
#
# * Tutorial
#
# * Reference
#
# * Developer Guide
#
# * Release Log
#
# * License
#
# * Credits
#
# * Citing
#
# * Bibliography
#
# * Examples
#
#
# ### Indices and tables
#
# * Index
#
# * Module Index
#
# * Search Page
#
# * Glossary
